module Bitmarkable
  class Config
    attr_accessor :login, :api_key, :base_url

    def initialize
      self.login, self.api_key, self.base_url = nil
    end
  end

  def self.config
    @config ||= Config.new
  end

  def self.configure
    yield(config) if block_given?
  end
end
